Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		fwbuilder
#Epoch:		0
Version:	4.0.1
Release:	1
License:	GNU/GPLv2
URL:		http://www.fwbuilder.org/	
Group:		Networking/Firewall
Summary:	universal firewall configuration and management tool
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: which

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libfwbuilder-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: net-snmp-devel
BuildRequires: qt4-devel
BuildRequires: zlib-devel

%description
Firewall Builder (also known as fwbuilder,  http://www.fwbuilder.org) is a universal firewall configuration and management tool that lets you define security policy on a higher level of abstraction and hides internal structure of the target firewall platform.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/fwbedit
%{_bindir}/fwb_iosacl
%{_bindir}/fwb_ipf
%{_bindir}/fwb_ipfw
%{_bindir}/fwb_ipt
%{_bindir}/fwb_pf
%{_bindir}/fwb_pix
%{_bindir}/fwbuilder
%{_bindir}/transfer_secuwall
%{_bindir}/fwb_procurve_acl
%{_applications}/fwbuilder.desktop
%{_docdir}/fwbuilder-%{version}
%{_datadir}/fwbuilder-%{version}
%{_datadir}/icons/hicolor/*/apps/fwbuilder.png
%{_mandir}/man1/fwbedit.1.gz
%{_mandir}/man1/fwb_iosacl.1.gz
%{_mandir}/man1/fwb_ipf.1.gz
%{_mandir}/man1/fwb_ipfw.1.gz
%{_mandir}/man1/fwb_ipt.1.gz
%{_mandir}/man1/fwb_pf.1.gz
%{_mandir}/man1/fwb_pix.1.gz
%{_mandir}/man1/fwbuilder.1.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Mon May 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0.1-1
- version update
* Mon Apr 12 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- initial CCux package release
